Re: [meta-gnome][dunfell][PATCH] tracker-miners: enable ffmpeg dependency only if its whitelisted


Martin Jansa
 

Backport the commit from master instead:

in this case it's the same, but using the same commit message and author will better indicate that it's straight cherry-pick from newer branch.

On Tue, Jun 8, 2021 at 7:00 AM akash hadke <akash.hadke@...> wrote:
From: Mikko Rapeli <mikko.rapeli@...>

ffmpeg isn't enabled by default. Fixes yocto-layer-check error:

ERROR: Nothing PROVIDES 'ffmpeg' (but /home/builder/src/base/meta-openembedded/meta-gnome/recipes-gnome/tracker/tracker-miners_2.3.3.bb DEPENDS on or otherwise requires it)
ffmpeg was skipped: because it has a restricted license 'commercial'. Which is not whitelisted in LICENSE_FLAGS_WHITELIST
ERROR: Required build target 'meta-world-pkgdata' has no buildable providers.
Missing or unbuildable dependency chain was: ['meta-world-pkgdata', 'tracker-miners', 'ffmpeg']

Summary: There were 2 ERROR messages shown, returning a non-zero exit code.

Signed-off-by: Mikko Rapeli <mikko.rapeli@...>
Signed-off-by: akash hadke <akash.hadke@...>
---
 meta-gnome/recipes-gnome/tracker/tracker-miners_2.3.3.bb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/meta-gnome/recipes-gnome/tracker/tracker-miners_2.3.3.bb b/meta-gnome/recipes-gnome/tracker/tracker-miners_2.3.3.bb
index e2ced39..ccd22a0 100644
--- a/meta-gnome/recipes-gnome/tracker/tracker-miners_2.3.3.bb
+++ b/meta-gnome/recipes-gnome/tracker/tracker-miners_2.3.3.bb
@@ -24,7 +24,7 @@ REQUIRED_DISTRO_FEATURES = "gobject-introspection-data"
 UNKNOWN_CONFIGURE_WHITELIST_append = " introspection"

 PACKAGECONFIG ??= " \
-    ffmpeg \
+    ${@bb.utils.contains_any('LICENSE_FLAGS_WHITELIST', 'commercial', 'ffmpeg', '', d)} \
     flac \
     gexiv2 \
     gstreamer \
--
2.7.4




Join openembedded-devel@lists.openembedded.org to automatically receive all group messages.